# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_177738595037543/libarchive-feedstock/recipe, last modified Tue Apr 28 14:22:02 2026
# ------------------------------------------------

package:
  name: libarchive
  version: 3.8.7
source:
  url: https://github.com/libarchive/libarchive/archive/refs/tags/v3.8.7.tar.gz
  sha256: bc942030fe7cb30e04eed31bd5f63c38cdfd712315b303e91b64e58f05db2346
  patches:
    - patches/0001-Add-lib-to-CMAKE_FIND_LIBRARY_PREFIXES-for-lzma.patch
build:
  number: '0'
  run_exports:
    - libarchive >=3.8.7,<3.9.0a0
  string: hb3cce40_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - binutils_impl_linux-64 2.44 h78f17ca_3
    - binutils_linux-64 2.44 hc03a8fd_3
    - bzip2 1.0.8 h5eee18b_6
    - c-ares 1.34.6 hd44998d_0
    - ca-certificates 2026.3.19 h06a4308_0
    - cmake 4.2.3 h8f6b806_0
    - expat 2.7.5 h7354ed3_0
    - gcc_impl_linux-64 14.3.0 h4943218_4
    - gcc_linux-64 14.3.0 hda73cce_13
    - gettext 0.25.1 h92eb808_0
    - gettext-tools 0.25.1 h6a67909_0
    - icu 73.1 h6a678d5_0
    - jansson 2.14 h5eee18b_1
    - kernel-headers_linux-64 4.18.0 h3108a97_1
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libasprintf 0.25.1 hf2ab22a_0
    - libasprintf-devel 0.25.1 hf2ab22a_0
    - libbrotlicommon 1.2.0 h32cd6e7_0
    - libbrotlidec 1.2.0 ha2c5f68_0
    - libbrotlienc 1.2.0 h2e96acb_0
    - libcurl 8.19.0 ha05a353_0
    - libev 4.33 h7f8727e_1
    - libexpat 2.7.5 h7354ed3_0
    - libgcc 15.2.0 h69a1729_7
    - libgcc-devel_linux-64 14.3.0 he7458c1_104
    - libgcc-ng 15.2.0 h166f726_7
    - libgettextpo 0.25.1 hf2ab22a_0
    - libgettextpo-devel 0.25.1 hf2ab22a_0
    - libgomp 15.2.0 h4751f2c_7
    - libiconv 1.18 h75a1612_0
    - libidn2 2.3.8 hf80d704_0
    - libkrb5 1.22.1 h869c75e_1
    - libnghttp2 1.67.1 h697f920_0
    - libsanitizer 14.3.0 hd4faa28_4
    - libssh2 1.11.1 h251f7ec_0
    - libstdcxx 15.2.0 h39759b7_7
    - libstdcxx-ng 15.2.0 hc03a8fd_7
    - libunistring 1.3 hb25bd0a_0
    - libuv 1.52.0 heb5a705_0
    - libxml2 2.13.9 h2c43086_0
    - libzlib 1.3.1 h47b2149_1
    - lmdb 0.9.31 hb25bd0a_0
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - ninja-base 1.13.1 h0f57076_0
    - openssl 3.5.6 h1b28b03_0
    - rhash 1.4.6 hd199180_1
    - sysroot_linux-64 2.28 h3108a97_1
    - tzdata 2026a he532380_0
    - xz 5.8.2 h448239c_0
    - zlib 1.3.1 h47b2149_1
    - zstd 1.5.7 h11fc155_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2026.3.19 h06a4308_0
    - icu 73.1 h6a678d5_0
    - libgcc 15.2.0 h69a1729_7
    - libgcc-ng 15.2.0 h166f726_7
    - libgomp 15.2.0 h4751f2c_7
    - libstdcxx 15.2.0 h39759b7_7
    - libstdcxx-ng 15.2.0 hc03a8fd_7
    - libxml2 2.14.4 h3457413_0
    - libzlib 1.3.1 h47b2149_1
    - lz4-c 1.9.4 h6a678d5_1
    - openssl 3.5.6 h1b28b03_0
    - xz 5.8.2 h448239c_0
    - zlib 1.3.1 h47b2149_1
    - zstd 1.5.7 h11fc155_0
  run:
    - __glibc >=2.28,<3.0.a0
    - bzip2 >=1.0.8,<2.0a0
    - libgcc >=14
    - libxml2 >=2.14.4,<2.15.0a0
    - libzlib >=1.3.1,<2.0a0
    - lz4-c >=1.9.4,<1.10.0a0
    - openssl >=3.5.6,<4.0a0
    - xz >=5.8.2,<6.0a0
    - zstd >=1.5.7,<1.6.0a0
test:
  requires:
    - ripgrep
  files:
    - test-archives/archive.7z
    - test-archives/hello_world.tar.zst
    - test-archives/hello_world.xar
  commands:
    - test -f "${PREFIX}/lib/pkgconfig/libarchive.pc"
    - test -f "${PREFIX}/include/archive.h"
    - test -f "${PREFIX}/include/archive_entry.h"
    - test -f "${PREFIX}/lib/libarchive.a"
    - test -f "${PREFIX}/lib/libarchive${SHLIB_EXT}"
    - bsdcat --version
    - bsdcpio --version
    - bsdtar --version
    - pushd test-archives
    - bsdtar -vxf hello_world.xar 2>&1 | rg "x hello_world"
    - bsdtar -vxf archive.7z 2>&1 | rg "x 7zip-archive"
    - bsdtar -vxf hello_world.tar.zst 2>&1 | rg "greets"
    - popd
about:
  home: https://libarchive.org
  license: BSD-2-Clause
  license_file: COPYING
  license_family: BSD
  summary: Multi-format archive and compression library
  description: 'Libarchive is an open-source BSD-licensed C programming library that
    provides streaming access

    to a variety of different archive formats, including tar, cpio, pax, Zip, and
    ISO9660 images.

    The distribution also includes bsdtar and bsdcpio, full-featured implementations
    of tar and cpio

    that use libarchive.

    When reading archives, libarchive uses a robust automatic format detector that
    can automatically handle archives

    that have been compressed with gzip, bzip2, xz, lzip, and several other popular
    compression algorithms.

    '
  dev_url: https://github.com/libarchive/libarchive
  doc_url: https://github.com/libarchive/libarchive/wiki
extra:
  recipe-maintainers:
    - jakirkham
    - mingwandroid
    - ocefpaf
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/libarchive-feedstock
  sha: b3ca2c48f2bf3b7019fbea6f0d5cc08a6753abd9
  task_id: fAy-vVBvQhugdGjjgBJlyQ
  task_run_id: '0'
  pbp_graph_uuid: 339a4c84-4558-4b4f-bca5-2603119256d4
